edu.sc.seis.sod

## Class MotionVectorArm

- java.lang.Object
- - edu.sc.seis.sod.AbstractWaveformRecipe
  - - edu.sc.seis.sod.MotionVectorArm

- All Implemented Interfaces:
    SodElement, Subsetter

      public class MotionVectorArm
      extends AbstractWaveformRecipe
      implements Subsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.AbstractWaveformRecipe

      `dcLocator, defaultAvailableDataSubsetter, eventStation, PACKAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MotionVectorArm(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(WaveformProcess proc)`
    `void` | `add(WaveformVectorProcess process)`
    `WaveformVectorProcess[]` | `getProcesses()`
    `VectorRequestGenerator` | `getRequestGenerator()`
    `WaveformProcess[]` | `getWaveformProcesses()`
    `java.util.List` | `getWaveformProcesses(WaveformVectorProcess[] procs)`
    `protected static void` | `handle(AbstractEventChannelPair ecp, Stage stage, java.lang.Throwable t, SeismogramSource seismogramSource, java.lang.String requestString)`
    `void` | `handle(org.w3c.dom.Element el)`
    `void` | `processAvailableDataSubsetter(EventVectorPair ecp, SeismogramSource seismogramSource, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] infilters)`
    `void` | `processMotionVectorArm(EventVectorPair ecp)`
    `void` | `processRequestGeneratorSubsetter(EventVectorPair ecp)`
    `void` | `processRequestSubsetter(EventVectorPair ecp, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] infilters)`
    `void` | `processSeismograms(EventVectorPair ecp, SeismogramSource seismogramSource, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] infilters, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] outfilters, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] localSeismograms, java.util.LinkedList<WaveformVectorProcess> processList)`
    `protected static java.lang.String` | `requestToString(edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] in, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] avail)`
    `static WaveformVectorResult` | `runProcessorThreadCheck(WaveformVectorProcess processor, edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`

    - ### Methods inherited from class edu.sc.seis.sod.AbstractWaveformRecipe

      `addStatusMonitor, getEventStationSubsetter, processConfig, setStatus, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MotionVectorArm

          public MotionVectorArm(org.w3c.dom.Element config)
                          throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### add

          public void add(WaveformVectorProcess process)

    - #### add

          public void add(WaveformProcess proc)

      Specified by:
        `add` in class `AbstractWaveformRecipe`

    - #### getRequestGenerator

          public VectorRequestGenerator getRequestGenerator()

    - #### getProcesses

          public WaveformVectorProcess[] getProcesses()

    - #### getWaveformProcesses

          public WaveformProcess[] getWaveformProcesses()

    - #### getWaveformProcesses

          public java.util.List getWaveformProcesses(WaveformVectorProcess[] procs)

    - #### handle

          public void handle(org.w3c.dom.Element el)
                      throws ConfigurationException

      Specified by:
        `handle` in class `AbstractWaveformRecipe`
      Throws:
        `ConfigurationException`

    - #### processMotionVectorArm

          public void processMotionVectorArm(EventVectorPair ecp)

    - #### processRequestGeneratorSubsetter

          public void processRequestGeneratorSubsetter(EventVectorPair ecp)

    - #### processRequestSubsetter

          public void processRequestSubsetter(EventVectorPair ecp,
                                              edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] infilters)

    - #### processAvailableDataSubsetter

          public void processAvailableDataSubsetter(EventVectorPair ecp,
                                                    SeismogramSource seismogramSource,
                                                    edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] infilters)

    - #### processSeismograms

          public void processSeismograms(EventVectorPair ecp,
                                         SeismogramSource seismogramSource,
                                         edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] infilters,
                                         edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] outfilters,
                                         edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] localSeismograms,
                                         java.util.LinkedList<WaveformVectorProcess> processList)

    - #### runProcessorThreadCheck

          public static WaveformVectorResult runProcessorThreadCheck(WaveformVectorProcess processor,
                                                                     edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                                     edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channel,
                                                                     edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                                                     edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                                                     edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                                                     CookieJar cookieJar)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### requestToString

          protected static java.lang.String requestToString(edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] in,
                                                            edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] avail)

    - #### handle

          protected static void handle(AbstractEventChannelPair ecp,
                                       Stage stage,
                                       java.lang.Throwable t,
                                       SeismogramSource seismogramSource,
                                       java.lang.String requestString)